function dydt = TDSC_ode_esempio10(t, y)
% ODE dell'esempio 10 - sistema termico
% corso TDSC a.a. 2010/2011
%
% modello in equazioni di stato 
% variabili IN: t, y
% variabili OUT: dydt derivata prima delle variabili y
%
C = 4.5; % capacita' termica
R10 = 12.4; R = 3.4; % resistenze termiche
u_step = 4.5;
u_pulse = 4.5*sign(sin(0.05*2*pi*t));
u = u_step + u_pulse; % portata pulsante in ingresso
T0 = 22; % temperatura ambiente
% --------------------------------------------------------
% il sistema di equazioni differenziali che descrive il sistema
% y(1): T
 dydt = [ -y(1)/R10/C+T0/R10/C+u^2/R/C];

% --------------------------------------------------------
