% script TDSC_ode_esempio2
%
% corso TDSC - a.a. 2010/2011
%
% script di soluzione della ODE di esempio2

% un po' di pulizia
clear all
close all
clc

% configurazione del problema
m1 = 2; m2 = 1.1; m3 = 1.6; 
 b2 = 1.0; b3 = .5;
 k2 = 0.8; k3 = .3;
 tau = 3;
param1 = [m1 m2 m3 b2 b3 k2 k3 tau];
param2=[1 1 0.1];
ode_time = [0 15];
ode_y0 = [0;-.1;0.5;0;1;0.4]; %[3; -2];
ode_options = odeset('MaxStep', 1e-2,'OutputFcn',@my_odeplot);
[t,Y] = ode113(@(t,y)TDSC_ode_esempio2(t, y, param1, param2), ode_time, ode_y0,ode_options);



