% script TDSC_ode_esempio 3
%
% corso TDSC - a.a. 2010/2011
%
% script di soluzione della ODE di esempio3

% configurazione del problema
 m = 2;  b = 0.3; l = 1.5;
 F = 12.8; t_f = 8;
 
param1 = [m l b F t_f];
 
ode_time = [0 45];
ode_y0 = [0;-.1]; %[3; -2];
ode_options = odeset('MaxStep', 1e-2,'OutputFcn',@odephas2);

[t,Y] = ode23(@(t,y)TDSC_ode_esempio3(t, y, param1), ode_time,...  	
    ode_y0, ode_options);

figure;plot(t,Y);legend('\theta','\omega');grid



