% script TDSC_ode_esempio 4
%
% corso TDSC - a.a. 2010/2011
%
% script di soluzione della ODE di esempio4

% un po' di pulizia
clear all
close all
clc

% configurazione del problema

ode_time = [0 28800];
ode_y0 = [36e6;0;0;1.2e3]; %[3; -2];
ode_options = odeset('MaxStep', 1e1,'OutputFcn',@odephas2,'OutputSel',[1 3]);

[t,Y] = ode113(@(t,y)TDSC_ode_esempio4(t, y), ode_time, ode_y0, ode_options);
figure;plot(t,Y(:,1),'b',t,Y(:,3),'r');grid
legend('x_1','x_2');

figure;plot(t,Y(:,2),'b',t,Y(:,4),'r');grid
legend('v_1','v_2');
