% script TDSC_ode_esempio7
%
% corso TDSC - a.a. 2010/2011
%
% script di soluzione della ODE di esempio7

% un po' di pulizia
clear all
close all
clc

% configurazione del problema

ode_time = [0 15];
ode_y0 = [0;0]; 
ode_options = odeset('MaxStep', 1e-2,'OutputFcn',@odephas2);

[t,Y] = ode15s(@(t,y)TDSC_ode_esempio7(t, y), ode_time, ode_y0, ode_options);
figure;plot(t,Y(:,1),'b',t,Y(:,2),'r');grid
legend('i','\omega');
