% script_stiff_ode_es1.m
%
% primo esempio ODE
% TDSC - Intro a Matlab - slide 8
% a.a. 2010/2011
% G. Fenu
%
% script di utilizzo 

clear all
close all
clc
% un po' di pulizia

tempo = [ 0, 20 ]; % intervallo di tempo
y0 = [2 ,0]; % condizioni iniziali
hf = @odefun;

% con ode45
tic; 
[t y] = ode45(hf, tempo, y0);
test = toc; % quanto tempo ha impiegato?

% mostra risultati
plot(t, y(:,1),'r',t,y(:,2),'b')
title('Soluzione della equazione di van der Pol');
xlabel('tempo t'); ylabel('soluzione y');
legend('y_1','y_2')

messaggio = sprintf('tempo impiegato: %0.5g [s]',test);
disp(messaggio);
