function dy_dt = stiff_ode_es1(t,y)
% primo esempio stiff
% TDSC - Intro a Matlab - slide 89
% a.a. 2010/2011
% G. Fenu
%
% descrizione del problema come ODE

% costanti
a2 = 6.0e-6; % si noti che e' molto 
           % piu' piccola delle altre 
a1 = 1.8;
a0 = 0.4;
b0 = 0.5;

% notare che il segnale u viene calcolato all'interno della function e non
% passato dall'esterno come variabile
if (t<0)
    u = 0;
else
    u = 2.0;
end % if

dy_dt = [y(2); -(a1/a2)*y(2)-(a0/a2)*y(1)+b0*u];
