% esempio di analisi di stabilita'
%
% TDSC a.a. 2010/2011
%
% un po' di pulizia
clear all
close all
clc

% configurazione del problema

ode_time = [0 15];
ode_y0 = [1e-1;2+2e-2]; %[3; -2];
ode_options = odeset('MaxStep', 1e-2,'OutputFcn',@odephas2);

[t,Y] = ode23(@(t,y)TDSC_ode_stability(t, y), ode_time, ode_y0, ode_options);

disp('premi un tasto...');
pause
figure;plot(t,Y(:,1),'b',t,Y(:,2),'r');grid
legend('x_1','x_2');
