% script TDSC_ode_esempio 5
%
% corso TDSC - a.a. 2010/2011
%
% script di soluzione della ODE di esempio5

% un po' di pulizia
clear all
close all
clc

% configurazione del problema

ode_time = [0 30];
ode_y0 = [0;0;0;0]; 
ode_options = odeset('MaxStep', 1e-2,'OutputFcn',@odephas2,'OutputSel',[3 4]);

[t,Y] = ode23(@(t,y)TDSC_ode_esempio5(t, y), ode_time, ode_y0, ode_options);
figure;plot(t,Y(:,1),'b',t,Y(:,3),'r');grid
legend('p','\theta');

figure;plot(t,Y(:,2),'b',t,Y(:,4),'r');grid
legend('v','\omega');
