% script TDSC_ode_esempio8
%
% corso TDSC - a.a. 2010/2011
%
% script di soluzione della ODE di esempio8

% un po' di pulizia
clear all
close all
clc

% configurazione del problema

ode_time = [0 25];
ode_y0 = [0;0;0;0;0]; 
ode_options = odeset('MaxStep', 1e-4);

[t,Y] = ode15s(@(t,y)TDSC_ode_esempio8(t, y), ode_time, ode_y0, ode_options);
figure;plot(t,Y(:,1));grid
figure;subplot(2,1,1);
plot(t,Y(:,2),'b',t,Y(:,4),'r');grid;legend('\theta_m','\theta_l');
subplot(2,1,2);plot(t,Y(:,2)-Y(:,4));
figure;plot(t,Y(:,3),'b',t,Y(:,5),'r');grid;legend('\omega_m','\omega_l');



